Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
ezpContentPublishingQueueProcessor Class Reference

## Public Member Functions
| __construct ()
| childSignalHandler ( $signo, $pid=null, $status=null)
| setOutput (ezpAsynchronousPublisherOutput $output)
| setSignalHandler ( $signalHandler)

## Static Public Member Functions
static | instance ()
static | terminate ()

## Public Attributes
| $sleepInterval
| $signalQueue

## Private Member Functions
| isSlotAvailable ()
| refreshCacheStateInfo ()
| cleanupDeadProcesses ()
| cleanupFinishedProcesses ()
| registerSignalHandler ()
| _terminate ()
| getNextItem ()

## Private Attributes
| $contentINI
| $allowedPublishingSlots = null
| $canProcess = true
| $currentJobs = array()
| $out
| $signalHandler
| $queueReader
| $cleanupLastTime
| $lastRefreshTimestamp
| $cleanupInterval = 43200
| $cleanupAgeLimit = 604800

## Static Private Attributes
static | $instance = null

## Detailed Description

Definition at line 21 of file ezpcontentpublishingqueueprocessor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpContentPublishingQueueProcessor::__construct | ( |  | ) |

Definition at line 25 of file ezpcontentpublishingqueueprocessor.php.

References setOutput().

## Member Function Documentation

## ◆ _terminate()

ezpContentPublishingQueueProcessor::_terminate | ( |  | ) |
| private

Definition at line 279 of file ezpcontentpublishingqueueprocessor.php.

## ◆ childSignalHandler()

ezpContentPublishingQueueProcessor::childSignalHandler | ( |  | $signo,
|  |  | $pid = `null`,
|  |  | $status = `null`
| ) |  |

Child process signal handler

Definition at line 221 of file ezpcontentpublishingqueueprocessor.php.

References $status.

## ◆ cleanupDeadProcesses()

ezpContentPublishingQueueProcessor::cleanupDeadProcesses | ( |  | ) |
| private

Checks WORKING processes, and removes from the queue those who are dead

Returns
  void

Definition at line 170 of file ezpcontentpublishingqueueprocessor.php.

References ezpContentPublishingProcess\fetchProcesses(), and ezpContentPublishingProcess\STATUS_WORKING.

## ◆ cleanupFinishedProcesses()

ezpContentPublishingQueueProcessor::cleanupFinishedProcesses | ( |  | ) |
| private

Removes FINISHED processes rows from the db (in one db call) method self-manages the removal, based on the defined cleanupInterval and cleanupAgeLimit

Returns
  void

Definition at line 188 of file ezpcontentpublishingqueueprocessor.php.

References $cleanupAgeLimit, $db, ezpContentPublishingProcess\definition(), ezpContentPublishingProcess\fetchProcesses(), ezpContentPublishingProcess\STATUS_FINISHED, and eZDebug\writeNotice().

## ◆ getNextItem()

ezpContentPublishingQueueProcessor::getNextItem | ( |  | ) |
| private

Returns
  mixed

Definition at line 327 of file ezpcontentpublishingqueueprocessor.php.

## ◆ instance()

static ezpContentPublishingQueueProcessor::instance | ( |  | ) |
| static

Singleton class loader

Returns
  ezpContentPublishingQueueProcessor

Definition at line 55 of file ezpcontentpublishingqueueprocessor.php.

References $instance, and $instance.

Referenced by terminate().

## ◆ isSlotAvailable()

ezpContentPublishingQueueProcessor::isSlotAvailable | ( |  | ) |
| private

Checks if a publishing slot is available

Returns
  ezpContentPublishingQueueProcessor

Definition at line 71 of file ezpcontentpublishingqueueprocessor.php.

References ezpContentPublishingProcess\currentWorkingProcessCount().

## ◆ refreshCacheStateInfo()

ezpContentPublishingQueueProcessor::refreshCacheStateInfo | ( |  | ) |
| private

Refreshes/reloads cache and other state information periodically.

Definition at line 152 of file ezpcontentpublishingqueueprocessor.php.

## ◆ registerSignalHandler()

ezpContentPublishingQueueProcessor::registerSignalHandler | ( |  | ) |
| private

Set the process signal handler

Definition at line 266 of file ezpcontentpublishingqueueprocessor.php.

## ◆ setOutput()

ezpContentPublishingQueueProcessor::setOutput | ( | ezpAsynchronousPublisherOutput | $output | ) |

Sets the used output class

Parameters

  ezpAsynchronousPublisherOutput | $output |

Returns
  void

Definition at line 303 of file ezpcontentpublishingqueueprocessor.php.

References $output.

Referenced by __construct().

## ◆ setSignalHandler()

ezpContentPublishingQueueProcessor::setSignalHandler | ( |  | $signalHandler | ) |

Sets the signal handler to $signalHandler

Parameters

  callback | $signalHandler |

Definition at line 315 of file ezpcontentpublishingqueueprocessor.php.

References $signalHandler.

## ◆ terminate()

static ezpContentPublishingQueueProcessor::terminate | ( |  | ) |
| static

Stops processing the queue, and cleanup what's currently running

Definition at line 274 of file ezpcontentpublishingqueueprocessor.php.

References instance().

## Member Data Documentation

## ◆ $allowedPublishingSlots

ezpContentPublishingQueueProcessor::$allowedPublishingSlots = null
| private

Definition at line 341 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $canProcess

ezpContentPublishingQueueProcessor::$canProcess = true
| private

Definition at line 349 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $cleanupAgeLimit

ezpContentPublishingQueueProcessor::$cleanupAgeLimit = 604800
| private

Definition at line 397 of file ezpcontentpublishingqueueprocessor.php.

Referenced by cleanupFinishedProcesses().

## ◆ $cleanupInterval

ezpContentPublishingQueueProcessor::$cleanupInterval = 43200
| private

Definition at line 390 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $cleanupLastTime

ezpContentPublishingQueueProcessor::$cleanupLastTime
| private

Definition at line 378 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $contentINI

ezpContentPublishingQueueProcessor::$contentINI
| private

Definition at line 335 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $currentJobs

ezpContentPublishingQueueProcessor::$currentJobs = array()
| private

Definition at line 355 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $instance

ezpContentPublishingQueueProcessor::$instance = null
| static private

Definition at line 347 of file ezpcontentpublishingqueueprocessor.php.

Referenced by instance().

## ◆ $lastRefreshTimestamp

ezpContentPublishingQueueProcessor::$lastRefreshTimestamp
| private

Definition at line 384 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $out

ezpContentPublishingQueueProcessor::$out
| private

Definition at line 361 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $queueReader

ezpContentPublishingQueueProcessor::$queueReader
| private

Definition at line 372 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $signalHandler

ezpContentPublishingQueueProcessor::$signalHandler
| private

Definition at line 367 of file ezpcontentpublishingqueueprocessor.php.

Referenced by setSignalHandler().

## ◆ $signalQueue

ezpContentPublishingQueueProcessor::$signalQueue

Definition at line 24 of file ezpcontentpublishingqueueprocessor.php.

## ◆ $sleepInterval

ezpContentPublishingQueueProcessor::$sleepInterval

Definition at line 23 of file ezpcontentpublishingqueueprocessor.php.

The documentation for this class was generated from the following file:

- ezpcontentpublishingqueueprocessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.